Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet
Class QoC

    java.lang.Object
      |
      +--com.ibm.aglet.QoC

All Implemented Interfaces:
  java.io.Serializable

public class QoC
extends java.lang.Object
implements java.io.Serializable

QoC defines the quality of aglet communication.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULTCONFIDENTIALITY` Confidentiality : Default Confidentiality (equals to normal confidentiality)
`static java.lang.String` | `DEFAULTINTEGRITY` Integrity : Default Integrity (equals to normal integrity).
`static java.lang.String` | `NOCONFIDENTIALITY` CONFIDENTIALITY = Strength against tapping data
`static java.lang.String` | `NOINTEGRITY` INTEGRITY = Strength against tampering data
`static java.lang.String` | `NORMALCONFIDENTIALITY` Confidentiality : Normal Confidentiality (equals to data encrypted by short secret key).
`static java.lang.String` | `NORMALINTEGRITY` Integrity : Normal Integrity (equals to data with its digest).
`static java.lang.String` | `STRONGCONFIDENTIALITY` Confidentiality : Strong Confidentiality (equals to message encrypted by private key)
`static java.lang.String` | `STRONGINTEGRITY` Integrity : Strong Integrity (equals to data with its signature).

Constructor Summary
`QoC()` Default Constructor.
`QoC(java.lang.String integrity, java.lang.String confidentiality)` Constructor with communication scheme/protocol, integrity and confidentiality.

Method Summary
`java.lang.String` | `getConfidentiality()` Returns the confidentiality of aglet transfer and messages.
`java.util.Date` | `getDueDate()` Gets the due-date to connect via this channel.
`java.lang.String` | `getIntegrity()` Returns the way to warrant integrity of messages.
`long` | `getTimeout()` Gets the waiting time for time-out to connect via this channel.
`void` | `setConfidentiality(java.lang.String confidentiality)` Sets the confidentiality for aglet transfer and message.
`void` | `setDueDate(java.util.Date date)` Sets the due-date to connect via this channel.
`void` | `setIntegrity(java.lang.String integrity)` Sets the switch to warrant the integrity of communication.
`void` | `setTimeout(long milliseconds)` Sets the waiting time for time-out to connect via this channel.
`java.lang.String` | `toString()` Returns a string representation of the quality of communication.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOINTEGRITY

    public static final java.lang.String NOINTEGRITY

       INTEGRITY = Strength against tampering data

  Integrity : No Integrity (data are sent with no additional information).

### NORMALINTEGRITY

    public static final java.lang.String NORMALINTEGRITY

  Integrity : Normal Integrity (equals to data with its digest).

### STRONGINTEGRITY

    public static final java.lang.String STRONGINTEGRITY

  Integrity : Strong Integrity (equals to data with its signature).

### DEFAULTINTEGRITY

    public static final java.lang.String DEFAULTINTEGRITY

  Integrity : Default Integrity (equals to normal integrity).

### NOCONFIDENTIALITY

    public static final java.lang.String NOCONFIDENTIALITY

       CONFIDENTIALITY = Strength against tapping data

  Confidentiality : No Confidentiality (data are sent through raw data stream).

### NORMALCONFIDENTIALITY

    public static final java.lang.String NORMALCONFIDENTIALITY

  Confidentiality : Normal Confidentiality (equals to data encrypted by short secret key).

### STRONGCONFIDENTIALITY

    public static final java.lang.String STRONGCONFIDENTIALITY

  Confidentiality : Strong Confidentiality (equals to message encrypted by private key)

### DEFAULTCONFIDENTIALITY

    public static final java.lang.String DEFAULTCONFIDENTIALITY

  Confidentiality : Default Confidentiality (equals to normal confidentiality)

Constructor Detail

### QoC

    public QoC()

  Default Constructor. Use default integrity and default confidentiality.

### QoC

    public QoC(java.lang.String integrity,
               java.lang.String confidentiality)

  Constructor with communication scheme/protocol, integrity and confidentiality.
  Parameters:
    `integrity` - the way for integrity of communication
    `confidentiality` - confidentiality of communication

Method Detail

### getConfidentiality

    public java.lang.String getConfidentiality()

  Returns the confidentiality of aglet transfer and messages.
  Returns:
    the confidentiality of aglet transfer and messages

### getDueDate

    public java.util.Date getDueDate()

  Gets the due-date to connect via this channel.
  Parameters:
    `due-date` - to connect via this channel

### getIntegrity

    public java.lang.String getIntegrity()

  Returns the way to warrant integrity of messages.
  Returns:
    the way to warrant integrity of messages

### getTimeout

    public long getTimeout()

  Gets the waiting time for time-out to connect via this channel.
  Returns:
    waiting time for time-out[milli seconds]

### setConfidentiality

    public void setConfidentiality(java.lang.String confidentiality)

  Sets the confidentiality for aglet transfer and message.
  Parameters:
    `confidentiality` - Confidentiality for aglet transfer and message.

### setDueDate

    public void setDueDate(java.util.Date date)

  Sets the due-date to connect via this channel. When null is given, there is no due-date and infinitely try to connect.
  Parameters:
    `dueDate` - due-date for time-out

### setIntegrity

    public void setIntegrity(java.lang.String integrity)

  Sets the switch to warrant the integrity of communication. This is to protect messages from tampering. The aglet adds the message digest or digital signature to his message.
  Parameters:
    `integrity` - way to warrant the integrity of communication

### setTimeout

    public void setTimeout(long milliseconds)

  Sets the waiting time for time-out to connect via this channel. When 0 is given, there is no waiting time for time-out and infinitely try to connect.
  Parameters:
    `milliseconds` - waiting time for time-out [milli seconds]

### toString

    public java.lang.String toString()

  Returns a string representation of the quality of communication.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the quality of communication
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD